#include<fstream>
using namespace std;
ifstream f1("TAOXAU.INP");
ofstream f2("TAOXAU.OUT");
int n;
void xuat(int f[])
{
	 for(int i=0;i<n;i++)
	 {
	 	if(f[i]==0) f2<<'A';
	 	else f2<<'B';
	 }
	 f2<<endl;
}
int check(int f[])
{
	int i;
	for(i=0;i<n-1;i++)
	{
		if((f[i]==f[i+1])&&(f[i]==1)) return 0;
	}
	return 1;
}
void np(int f[],int b)
{
	int i;
	for(i=0;i<=1;i++)
	{
		f[b]=i;
		if(b==n-1)
		{
			if(check(f)==1) xuat(f);
		}
		if(b!=n-1) np(f,b+1);
	}
}
int main()
{
	f1>>n;
	f1.close();
	int f[n];
	np(f,0);
	f2.close();
}


